/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software
 * License version 1.1, a copy of which has been included with this
 * distribution in the LICENSE.txt file.  */
/*
 * Created on 2004/11/09 
 */
package log4j2me.util;

import java.util.Enumeration;
import java.util.Hashtable;

import javax.microedition.midlet.MIDlet;

/**
 * My Properties for J2ME with App properties getting option.  
 * 
 * @author Witmate
 * 
 */
public class Properties extends Hashtable {
	private Hashtable m_table;
	private MIDlet m_Midlet=null;	
	
	public Properties(){
		m_table = new Hashtable();
	}
	
	public String getProperty(String key){		
		String rtn=(String)m_table.get(key);		
		if((null==rtn)&&(null!=m_Midlet)){
			rtn=m_Midlet.getAppProperty(key);
		}
		return rtn;
	}
	
	public Enumeration propertyNames(){
		return m_table.keys();
	}
	
	public void openAppPropertiesGetting(MIDlet midlet){
		m_Midlet=midlet;		
	}
	
	public void closeAppPropertiesGetting(){
		m_Midlet=null;		
	}
	
}
