/*
 * Copyright (C) The Apache Software Foundation. All rights reserved.
 *
 * This software is published under the terms of the Apache Software
 * License version 1.1, a copy of which has been included with this
 * distribution in the LICENSE.txt file.  */
/*
 * Created on 2004/11/07
 *
 * For Witmate Project.
 */

package log4j2me.test.midlets;

import java.util.Vector;

import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDletStateChangeException;
import log4j2me.util.FormAppender;
import org.apache.log4j.Category;

/**
 * A test MIDlet for log4j2me
 * 
 * @author Witmate
 * 
 */
public class MHello extends MIDlet {
	
	static Category log = Category.getInstance("test.MHello");
	/**
	 * 
	 */
	public MHello() {
		super();		
	}

	/* (non-Javadoc)
	 * @see javax.microedition.midlet.MIDlet#startApp()
	 */
	protected void startApp() throws MIDletStateChangeException {
		//org.apache.log4j.helpers.LogLog.setInternalDebugging(true);
		
		System.out.println("MHello start to config log4j2me.");
		Vector vFormAppenders=log4j2me.util.AppPropertyConfigurator.config(this);		
		System.out.println("MHello finished configuration of log4j2me.");
		System.out.println("Form Appenders:"+vFormAppenders.toString());
		//Look for the first FormAppender according form appender name which is set in JAD file or properties.
		for(int i=0; vFormAppenders.size()>i;i++){
			String title=((FormAppender)vFormAppenders.elementAt(i)).getTitle();
			if((null!=title)&&(title.equals("mylog4j2me"))){
				Display.getDisplay(this).setCurrent(((FormAppender)vFormAppenders.elementAt(i)).getForm());
			}
		}
		//System.out.println(log.getClass().getName()+"; "+log.getName()+"; "+log.toString());
		log.debug("A debug");
		log.info("An info");
		log.error("An error");
		log.fatal("A fatal");
	}

	/* (non-Javadoc)
	 * @see javax.microedition.midlet.MIDlet#pauseApp()
	 */
	protected void pauseApp() {		
	}

	/* (non-Javadoc)
	 * @see javax.microedition.midlet.MIDlet#destroyApp(boolean)
	 */
	protected void destroyApp(boolean arg0) throws MIDletStateChangeException {
	}

}
